﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.Web.Mvc;
using EscolaMVC.Entitats;

namespace EscolaMVC.Models
{
    public class MatriculaVM
    {
        public IEnumerable<Matricula> Matricules { get; set; }

        public IEnumerable<Classe> Classes{get;set;}
        
        [Required(ErrorMessage="Has d'introduir un any per fer la cerca.")]
        [RegularExpression(@"^\d{4}$", ErrorMessage = "Introdueix l'any en format YYYY, p.ex: 2013.")]
        public int Any { get; set; }
        
        public int IdAlumne { get; set; }

        [DisplayFormat(ConvertEmptyStringToNull=true)]
        public string Alumne { get; set; }
    }
}