﻿/// <reference path="jquery-1.7.1-vsdoc.js" />
/// <reference path="jquery-ui-1.8.20.js" />

$(function () {
    $("#Alumne").autocomplete({
        source: function (request, response) {
            $.ajax({
                url: "services/AutoComplete/GetNomsIdAlumnesDTO",
                type: "GET",
                dataType: "json",
                data: { term: request.term },
                success: function (data) {
                    response($.map(data, function (item) {
                        return { label: item.label, value: item.value }
                    }))
                }
            })
        },
        select: function (event, ui) {
            $('#IdAlumne').val(ui.item.value);
            $('#Alumne').val(ui.item.label);
            return false;
        }
    });

});