﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using System.Xml;

namespace EscolaMVC.Services
{
    public class SmtpClientSection : ConfigurationSection
    {
        [ConfigurationProperty("servidor", IsRequired = true)]
        public String Servidor {
            get
            {
                return this["servidor"].ToString();
            }
            set
            {
                this["servidor"] = value;
            }
        }

        [ConfigurationProperty("usuari", IsRequired = true)]
        public String Usuari
        {
            get
            {
                return this["usuari"].ToString();
            }
            set
            {
                this["usuari"] = value;
            }
        }

        [ConfigurationProperty("password", IsRequired = true)]
        public String Password
        {
            get
            {
                return this["password"].ToString();
            }
            set
            {
                this["password"] = value;
            }
        }
        
        [ConfigurationProperty("correu", IsRequired = true)]
        public String Correu
        {
            get
            {
                return this["correu"].ToString();
            }
            set
            {
                this["correu"] = value;
            }
        }

        [ConfigurationProperty("port", IsRequired = true)]
        public int Port
        {
            get
            {
                return (int)this["port"];
            }
            set
            {
                this["port"] = value;
            }
        }

        [ConfigurationProperty("ssl", IsRequired = true)]
        public bool SSL
        {
            get
            {
                return (bool)this["ssl"];
            }
            set
            {
                try
                {
                    this["ssl"] = value;
                }
                catch { 
                
                }
            }
        }


    }
}